GZDoom demo compatibility between versions

Need help running G/Q/ZDoom/ECWolf/Zandronum/3DGE/EDuke32/Raze? Did your computer break? Ask here.

Moderator: GZDoom Developers

Forum rules
Contrary to popular belief, we are not all-knowing-all-seeing magical beings!

If you want help you're going to have to provide lots of info. Like what is your hardware, what is your operating system, what version of GZDoom/LZDoom/whatever you're using, what mods you're loading, how you're loading it, what you've already tried for fixing the problem, and anything else that is even remotely relevant to the problem.

We can't magically figure out what it is if you're going to be vague, and if we feel like you're just wasting our time with guessing games we will act like that's what you're really doing and won't help you.
SoulFMP
Posts: 3
Joined: Mon Nov 21, 2022 7:15 am
Preferred Pronouns: He/Him
Operating System Version (Optional): Win 10

GZDoom demo compatibility between versions

Post by SoulFMP »

Hello.
First of all, I'm not sure if this is the correct place to write this, so feel free to move it around if needed, or pointing me to the write place.
I usually use DoomLauncher to start my wads, and a cool feature it has is that I can record demos with it (without messing around with command lines).
I used GZDoom 4.8.2 to record all my demos in the past, but now I want to update to 4.9.0.

My question is, would 4.8.2 demos be compatible with 4.9.0, or should I keep a 4.8.2 GZD backup in case I want to watch those later down the line?

I watched a few demos and they didn't seem to desync, but all demos I watched were short levels (0:30 - 1:00 levels), so I'm not entirely sure if longer maps would desync, I'm not really savy when it comes to those things.
User avatar
wildweasel
Moderator Team Lead
Posts: 21519
Joined: Tue Jul 15, 2003 7:33 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows 10, 21H1
Graphics Processor: nVidia with Vulkan support

Re: GZDoom demo compatibility between versions

Post by wildweasel »

Whether a demo desyncs between versions or not depends entirely upon whether any of the behavior recorded in the demo has changed in the new version. It's better to assume that things will have changed, so a desync is not a matter of "if," but "when."
SoulFMP
Posts: 3
Joined: Mon Nov 21, 2022 7:15 am
Preferred Pronouns: He/Him
Operating System Version (Optional): Win 10

Re: GZDoom demo compatibility between versions

Post by SoulFMP »

So I guess the question now is, has any behaviour changed between versions? (I'm using the same .ini file, between versions, so I guess most settings would stay the same)
User avatar
Kappes Buur
 
 
Posts: 4037
Joined: Thu Jul 17, 2003 12:19 am
Location: British Columbia, Canada

Re: GZDoom demo compatibility between versions

Post by Kappes Buur »

After 4.8.2, available development versions for 4.9.0 were from
g4.9pre-4 to g4.9pre-358
therefore I would assume that GZDoom has undergone some substantial changes, which would desynch any old demos, depending on the complexity of mapping features used.

My recommendation for you is to keep version 4.8.2 on your computer if you want to run the old demos reliably.
SoulFMP
Posts: 3
Joined: Mon Nov 21, 2022 7:15 am
Preferred Pronouns: He/Him
Operating System Version (Optional): Win 10

Re: GZDoom demo compatibility between versions

Post by SoulFMP »

I will keep my 4.8.2 version then, thank you very much for the help.

Return to “Technical Issues”